MONGOC_STREAM_TLS_DO_HANDSHAKE(3)

NAME
mongoc_stream_tls_do_handshake() - This function shall perform an SSL handshake on the underlying stream.

SYNOPSIS

bool
mongoc_stream_tls_do_handshake (mongoc_stream_t *stream,
                                int32_t          timeout_msec);

PARAMETERS

stream
    A mongoc_stream_tls_t \&.

timeout_msec
    A timeout, in milliseconds, for the handshake.

This function shall perform an SSL handshake on the underlying stream.

RETURNS

The mongoc_stream_tls_do_handshake(3) function returns true if the handshake was successful. If false, errno or openssl errors may be set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.